net.corda.core.schemas

## Class MappedSchema

- net.corda.core.schemas.MappedSchema

- Direct Known Subclasses:
    CashSchemaV1, CommercialPaperSchemaV1

      public class MappedSchema

  A database schema that might be configured for this node. As well as a name and version for identifying the schema, also list the classes that may be used in the generated object graph in order to configure the ORM tool.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappedSchema(java.lang.Class<?> schemaFamily, int version, java.lang.Iterable<? extends java.lang.Class<?>> mappedTypes)` A database schema that might be configured for this node. As well as a name and version for identifying the schema, also list the classes that may be used in the generated object graph in order to configure the ORM tool.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Iterable<java.lang.Class>` | `getMappedTypes()`
    `java.lang.String` | `getName()`
    `int` | `getVersion()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### MappedSchema

          public MappedSchema(java.lang.Class<?> schemaFamily,
                              int version,
                              java.lang.Iterable<? extends java.lang.Class<?>> mappedTypes)

      A database schema that might be configured for this node. As well as a name and version for identifying the schema, also list the classes that may be used in the generated object graph in order to configure the ORM tool.

      Parameters:
        `schemaFamily` - A class to fully qualify the name of a schema family (i.e. excludes version)
        `version` - The version number of this instance within the family.
        `mappedTypes` - The JPA entity classes that the ORM layer needs to be configure with for this schema.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### toString

          public java.lang.String toString()

    - #### getVersion

          public int getVersion()

    - #### getMappedTypes

          public java.lang.Iterable<java.lang.Class> getMappedTypes()